-module(mqtt).

-behaviour(gen_server).

-export([start_link/0, init/1, handle_cast/2, handle_info/2, handle_call/3]).

start_link() ->
  gen_server:start_link({local, ?MODULE}, ?MODULE, [], []).

init(_) ->
  {ok, PID} = emqtt:start_link(),
  {ok, Props} = emqtt:connect(PID),
  {ok, {PID, Props}}.

handle_info(Request, State) ->
  io:fwrite("~p~n", [Request]),
  {noreply, State}.

handle_cast(_, State) ->
  {noreply, State}.

handle_call(_, _, State) ->
  {noreply, State}.
